Subject: Re: [PATCH] Fix bug of update IPv4 PMTU when received ICMP Fragmentation Needed message

From: Wei Yongjun <[email-masked]>
Date: Mon, 04 Jun 2007 12:03:57 +0800

> On Mon, Jun 04, 2007 at 08:39:21AM +0800, Wei Yongjun wrote:
>   
>>> Huh? The test new_mtu >= old_mtu should only hold if the sending router
>>> is buggy which is what the hack is for.
>>>       
>> Note here old_mtu is not the real old mtu, is the received message's size:
>>  unsigned short old_mtu = ntohs(iph->tot_len);
>> So maybe the patch would like following.
>>     
>
> The size of the packet that caused the ICMP is what we want here.  That's
> why the router must be buggy.
>
>   
So I want to know how the route announce a MTU larger then 576, such as 
1280? RFC says ICMP error message return as much as we can without 
exceeding 576 bytes.
And ipv4 router alaways return as a packet size 576 because of this.
If MTU is greater then 576, HOST will used "mtu = guess_mtu(old_mtu)" to 
get a MTU. Method of send ICMP Fragmentation Needed message is 
difference from receive,
how can this resolve? Change the method of send ICMP Fragmentation 
Needed message? I do not think so, the  only think we  can  do is  to 
change  the method of receive ICMP message.
Do you agree this?

-- 

A new email address of FJWAN is launched from Apr.1 2007.
The updated address is: [email-masked] 
--------------------------------------------------
Wei Yongjun
Development Dept.I
Nanjing Fujitsu Nanda Software Tech. Co., Ltd.(FNST)
8/F., Civil Defense Building, No.189 Guangzhou Road,
Nanjing, 210029, China
TEL: +86+25-86630523-858
COINS: 79955-858
FAX: +86+25-83317685
MAIL: [email-masked]
--------------------------------------------------